--- old/usr/src/uts/sun4u/makaha/Makefile.makaha	Fri Aug  9 07:21:05 2019
+++ /dev/null	Fri Aug  9 00:52:51 2019
@@ -1,137 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
-#
-# uts/sun4u/makaha/Makefile.makaha
-#
-#     This makefile contains the common definitions for the
-#     sun4u Makaha system dependent modules.
-#
-
-#
-# Define directories.
-#
-MONTECARLO	=	SUNW,UltraSPARC-IIi-Netract
-MAKAHA		=	SUNW,UltraSPARC-IIe-NetraCT-40
-SPUTNIK		=	SUNW,UltraSPARC-IIe-NetraCT-60
-ROOT_MAKAHA_DIR		= $(ROOT_PLAT_DIR)/$(MAKAHA)
-ROOT_MAKAHA_MOD_DIR		= $(ROOT_MAKAHA_DIR)/kernel
-
-ROOT_MAKAHA_KERN_DIR_32	= $(ROOT_MAKAHA_MOD_DIR)
-ROOT_MAKAHA_KERN_DIR_64	= $(ROOT_MAKAHA_MOD_DIR)/$(SUBDIR64)
-ROOT_MAKAHA_DRV_DIR_32	= $(ROOT_MAKAHA_MOD_DIR)/drv
-ROOT_MAKAHA_DRV_DIR_64	= $(ROOT_MAKAHA_MOD_DIR)/drv/$(SUBDIR64)
-ROOT_MAKAHA_DRV_LINK_32	= $(ROOT_MAKAHA_DRV_DIR_32:$(ROOT_MAKAHA_DIR)%=../../../$(MONTECARLO)%)
-ROOT_MAKAHA_DRV_LINK_64	= $(ROOT_MAKAHA_DRV_DIR_64:$(ROOT_MAKAHA_DIR)%=../../../../$(MONTECARLO)%)
-ROOT_MAKAHA_MISC_DIR_32	= $(ROOT_MAKAHA_MOD_DIR)/misc
-ROOT_MAKAHA_MISC_DIR_64	= $(ROOT_MAKAHA_MOD_DIR)/misc/$(SUBDIR64)
-ROOT_MAKAHA_MISC_LINK_32	= $(ROOT_MAKAHA_MISC_DIR_32:$(ROOT_MAKAHA_DIR)%=../../../$(MONTECARLO)%)
-ROOT_MAKAHA_MISC_LINK_64	= $(ROOT_MAKAHA_MISC_DIR_64:$(ROOT_MAKAHA_DIR)%=../../../../$(MONTECARLO)%)
-ROOT_MAKAHA_DACF_DIR_32	= $(ROOT_MAKAHA_MOD_DIR)/dacf
-ROOT_MAKAHA_DACF_DIR_64	= $(ROOT_MAKAHA_MOD_DIR)/dacf/$(SUBDIR64)
-ROOT_MAKAHA_DACF_LINK_64	= $(ROOT_MAKAHA_DACF_DIR_64:$(ROOT_MAKAHA_DIR)%=../../../../$(MONTECARLO)%)
-
-ROOT_MAKAHA_KERN_DIR	= $(ROOT_MAKAHA_KERN_DIR_$(CLASS))
-ROOT_MAKAHA_MISC_DIR	= $(ROOT_MAKAHA_MISC_DIR_$(CLASS))
-ROOT_MAKAHA_DRV_DIR		= $(ROOT_MAKAHA_DRV_DIR_$(CLASS))
-ROOT_MAKAHA_DACF_DIR	= $(ROOT_MAKAHA_DACF_DIR_$(CLASS))
-ROOT_MAKAHA_DRV_LINK	= $(ROOT_MAKAHA_DRV_LINK_$(CLASS))
-ROOT_MAKAHA_MISC_LINK	= $(ROOT_MAKAHA_MISC_LINK_$(CLASS))
-ROOT_MAKAHA_DACF_LINK	= $(ROOT_MAKAHA_DACF_LINK_$(CLASS))
-
-ROOT_PLAT_MOD_DIRS	+= $(ROOT_MAKAHA_MOD_DIR)
-ROOT_PLAT_MISC_DIRS	+= $(ROOT_MAKAHA_MISC_DIR)
-ROOT_PLAT_MISC_DIRS_32	+= $(ROOT_MAKAHA_MISC_DIR_32)
-ROOT_PLAT_DRV_DIRS	= $(ROOT_MAKAHA_DRV_DIR)
-
-USR_MAKAHA_DIR	= $(USR_PLAT_DIR)/$(MAKAHA)
-USR_MAKAHA_INC_DIR	= $(USR_MAKAHA_DIR)/include
-USR_MAKAHA_SBIN_DIR	= $(USR_MAKAHA_DIR)/sbin
-USR_MAKAHA_LIB_DIR	= $(USR_MAKAHA_DIR)/lib
-USR_MAKAHA_ISYS_DIR	= $(USR_MAKAHA_INC_DIR)/sys
-
-MAKAHA_LINT_LIB_DIR= $(UTSBASE)/$(PLATFORM)/makaha/lint-libs/$(OBJS_DIR)
-#
-# Definitions for Sputnik, SUNW,UltraSPARC-IIe-NetraCT-60 platform
-#
-ROOT_SPUTNIK_DIR		= $(ROOT_PLAT_DIR)/$(SPUTNIK)
-ROOT_SPUTNIK_MOD_DIR		= $(ROOT_SPUTNIK_DIR)/kernel
-
-ROOT_SPUTNIK_KERN_DIR_32	= $(ROOT_SPUTNIK_MOD_DIR)
-ROOT_SPUTNIK_KERN_DIR_64	= $(ROOT_SPUTNIK_MOD_DIR)/$(SUBDIR64)
-ROOT_SPUTNIK_DRV_DIR_32	= $(ROOT_SPUTNIK_MOD_DIR)/drv
-ROOT_SPUTNIK_DRV_DIR_64	= $(ROOT_SPUTNIK_MOD_DIR)/drv/$(SUBDIR64)
-ROOT_SPUTNIK_DRV_LINK_32	= $(ROOT_SPUTNIK_DRV_DIR_32:$(ROOT_SPUTNIK_DIR)%=../../../$(MAKAHA)%)
-ROOT_SPUTNIK_DRV_LINK_64	= $(ROOT_SPUTNIK_DRV_DIR_64:$(ROOT_SPUTNIK_DIR)%=../../../../$(MAKAHA)%)
-ROOT_SPUTNIK_MISC_DIR_32	= $(ROOT_SPUTNIK_MOD_DIR)/misc
-ROOT_SPUTNIK_MISC_DIR_64	= $(ROOT_SPUTNIK_MOD_DIR)/misc/$(SUBDIR64)
-ROOT_SPUTNIK_DACF_DIR_32	= $(ROOT_SPUTNIK_MOD_DIR)/dacf
-ROOT_SPUTNIK_DACF_DIR_64	= $(ROOT_SPUTNIK_MOD_DIR)/dacf/$(SUBDIR64)
-ROOT_SPUTNIK_DACF_LINK_64	= $(ROOT_SPUTNIK_DACF_DIR_64:$(ROOT_SPUTNIK_DIR)%=../../../../$(MONTECARLO)%)
-
-ROOT_SPUTNIK_KERN_DIR	= $(ROOT_SPUTNIK_KERN_DIR_$(CLASS))
-ROOT_SPUTNIK_MISC_DIR	= $(ROOT_SPUTNIK_MISC_DIR_$(CLASS))
-ROOT_SPUTNIK_DRV_DIR		= $(ROOT_SPUTNIK_DRV_DIR_$(CLASS))
-ROOT_SPUTNIK_DACF_DIR	= $(ROOT_SPUTNIK_DACF_DIR_$(CLASS))
-ROOT_SPUTNIK_DRV_LINK	= $(ROOT_SPUTNIK_DRV_LINK_$(CLASS))
-ROOT_SPUTNIK_DACF_LINK	= $(ROOT_SPUTNIK_DACF_LINK_$(CLASS))
-
-ROOT_PLAT_MOD_DIRS	+= $(ROOT_SPUTNIK_MOD_DIR)
-ROOT_PLAT_MISC_DIRS	+= $(ROOT_SPUTNIK_MISC_DIR)
-ROOT_PLAT_MISC_DIRS_32	+= $(ROOT_SPUTNIK_MISC_DIR_32)
-ROOT_PLAT_DRV_DIRS	= $(ROOT_SPUTNIK_DRV_DIR)
-
-USR_SPUTNIK_DIR	= $(USR_PLAT_DIR)/$(SPUTNIK)
-USR_SPUTNIK_INC_DIR	= $(USR_SPUTNIK_DIR)/include
-USR_SPUTNIK_SBIN_DIR	= $(USR_SPUTNIK_DIR)/sbin
-USR_SPUTNIK_LIB_DIR	= $(USR_SPUTNIK_DIR)/lib
-USR_SPUTNIK_ISYS_DIR	= $(USR_SPUTNIK_INC_DIR)/sys
-
-#
-# Montecarlo platform definitions for symbolic links
-#
-ROOT_MONTECARLO_DIR			= $(ROOT_PLAT_DIR)/SUNW,UltraSPARC-IIi-Netract
-ROOT_MONTECARLO_MOD_DIR		= $(ROOT_MONTECARLO_DIR)/kernel
-ROOT_MONTECARLO_KERN_DIR_32	= $(ROOT_MONTECARLO_MOD_DIR)
-ROOT_MONTECARLO_KERN_DIR_64	= $(ROOT_MONTECARLO_MOD_DIR)/$(SUBDIR64)
-ROOT_MONTECARLO_DRV_DIR_32	= $(ROOT_MONTECARLO_MOD_DIR)/drv
-ROOT_MONTECARLO_DRV_DIR_64	= $(ROOT_MONTECARLO_MOD_DIR)/drv/$(SUBDIR64)
-ROOT_MONTECARLO_MISC_DIR_32	= $(ROOT_MONTECARLO_MOD_DIR)/misc
-ROOT_MONTECARLO_MISC_DIR_64	= $(ROOT_MONTECARLO_MOD_DIR)/misc/$(SUBDIR64)
-ROOT_MONTECARLO_DACF_DIR_32	= $(ROOT_MONTECARLO_MOD_DIR)/dacf
-ROOT_MONTECARLO_DACF_DIR_64	= $(ROOT_MONTECARLO_MOD_DIR)/dacf/$(SUBDIR64)
-
-ROOT_MONTECARLO_KERN_DIR	= $(ROOT_MONTECARLO_KERN_DIR_$(CLASS))
-ROOT_MONTECARLO_MISC_DIR	= $(ROOT_MONTECARLO_MISC_DIR_$(CLASS))
-ROOT_MONTECARLO_DRV_DIR		= $(ROOT_MONTECARLO_DRV_DIR_$(CLASS))
-ROOT_MONTECARLO_DACF_DIR	= $(ROOT_MONTECARLO_DACF_DIR_$(CLASS))
-
-include $(UTSBASE)/sun4u/makaha/Makefile.files
-
-#
-#	Include common rules.
-#
-include $(UTSBASE)/sun4u/Makefile.sun4u
